List document types
curl --request GET \
--url https://{region}.affinda.com/v3/document_types \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.affinda.com/v3/document_types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.affinda.com/v3/document_types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"identifier": "mEFayXdO",
"name": "<string>",
"organization": "<string>",
"description": "<string>",
"ingest_email": "<string>"
}
]{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Document Types
List document types
Returns a list of document types that the user has access to.
GET
/
v3
/
document_types
List document types
curl --request GET \
--url https://{region}.affinda.com/v3/document_types \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.affinda.com/v3/document_types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.affinda.com/v3/document_types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"identifier": "mEFayXdO",
"name": "<string>",
"organization": "<string>",
"description": "<string>",
"ingest_email": "<string>"
}
]{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Authorizations
Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
Query Parameters
Filter by organization identifier
Filter by workspace identifier
Response
Successful operation
Uniquely identify a document type.
Example:
"mEFayXdO"
The name of the document type.
The identifier of the organization this document type belongs to.
A description of the document type.
The email address that can be used to email documents directly to this document type.
Was this page helpful?
⌘I